name='pnpm'
version='9.0.4'
release='2'
desc='Fast, disk space efficient package manager'
homepage='https://pnpm.io'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('MIT')
provides=('pnpm')
conflicts=('pnpm' 'pnpm-git')

deps=('node-gyp')
build_deps=('git')

sources=("git+https://github.com/pnpm/pnpm.git#tag=v${version}?~archive=false")
checksums=('SKIP')

build() {
    cd ${srcdir}
    mkdir ./pnpm-linux
    cd ./pnpm-linux
    curl -fsSL https://get.pnpm.io/install.sh | sh -
    cd ${srcdir}/pnpm
    pnpm install --frozen-lockfile
    pnpm run compile
    }

package() {
    cd ${srcdir}
}
